package de.ivu.elect.util;

import java.io.File;

/**
 *  on 13.07.2015.
 */
public class VerzeichnisPruefer {

  public static VerzeichnisStatus testeVerzeichnisExistiert(String pfad) {
    File f = new File(pfad);
    if (f.exists()) {
      if (f.isDirectory()) {
        return VerzeichnisStatus.EXISTIERT_UND_BESCHREIBBAR;
      }
      return VerzeichnisStatus.KEIN_VERZEICHNIS;
    }
    return VerzeichnisStatus.EXISTIERT_NICHT;
  }

  public static VerzeichnisStatus testeVerzeichnisExistiertUndIstBeschreibbar(String pfad) {
    File f = new File(pfad);
    if (f.exists()) {
      if (f.isDirectory()) {
        try {
          File test = new File(f.getAbsolutePath() + File.separator + "DUMMY" + ElectRandom.getRandom().nextDouble());
          test.createNewFile();
          test.delete();
        } catch (Exception e) {
          return VerzeichnisStatus.NICHT_BESCHREIBBAR;
        }
      } else {
        return VerzeichnisStatus.KEIN_VERZEICHNIS;
      }
    } else {
      return VerzeichnisStatus.EXISTIERT_NICHT;
    }
    return VerzeichnisStatus.EXISTIERT_UND_BESCHREIBBAR;
  }

}
